RefCntRamDirectory (Solr 3.6.2 API)
Keywords: org.apache.solr.core.RefCntRamDirectory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.core
Class RefCntRamDirectory

    java.lang.Object
      org.apache.lucene.store.Directory
          org.apache.lucene.store.RAMDirectory
              org.apache.solr.core.RefCntRamDirectory

All Implemented Interfaces:
  Closeable, Serializable

    public class RefCntRamDirectory

extends RAMDirectory

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.store.RAMDirectory
`fileMap, sizeInBytes`

Fields inherited from class org.apache.lucene.store.Directory
`isOpen, lockFactory`

Constructor Summary
`RefCntRamDirectory()`
`RefCntRamDirectory(Directory dir)`

Method Summary
`void` | `close()`
`void` | `decRef()`
`void` | `incRef()`
`boolean` | `isOpen()`

Methods inherited from class org.apache.lucene.store.RAMDirectory
`createOutput, deleteFile, fileExists, fileLength, fileModified, listAll, newRAMFile, openInput, sizeInBytes, touchFile`

Methods inherited from class org.apache.lucene.store.Directory
`clearLock, copy, copy, ensureOpen, getLockFactory, getLockID, makeLock, openInput, setLockFactory, sync, sync, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RefCntRamDirectory

    public RefCntRamDirectory()

### RefCntRamDirectory

    public RefCntRamDirectory(Directory dir)
                       throws IOException

Throws:
  `IOException`

Method Detail

### incRef

    public void incRef()

### decRef

    public void decRef()

### close

    public final void close()

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `RAMDirectory`

### isOpen

    public boolean isOpen()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD